View Issue Details

IDProjectCategoryView StatusLast Update
0002378BattleMaster Bugsfeature requestpublic2012-01-04 11:38
ReporterdanarisAssigned Todanaris 
Status closedResolutionsuspended 
Summary0002378: Set Guards
DescriptionAllow the region lord to designate certain militia units as "border guards" along particular borders. These units would no longer be normal militia units, and thus would either take significant combat penalties, or simply not be present in any combat not involving the border they are guarding--but if a hostile priest or infiltrator attempted to come into the region along that border, he or she would be arrested by the militia guards (infiltrators naturally having a much reduced chance based on their infiltration skill).

The penalty should be something that fits with the realities of border guard duty: lowered morale, increased attrition, and the impossibility of reaching a battle at any border but the one they are guarding--and the danger of ending up in the front row of battles along the border they *are* guarding, thus getting them slaughtered first.

~ TGC
TagsNeeds Discussion, Requires Overhaul
Branch (shown in-game in the top-right corner)
Game WorldN/A or All

Relationships

related to 0002377 closedTom Watch for priests - Extended Time 
related to 0002375 closedTom Watch for priests 

Activities

bjmontminy

2007-01-25 16:33

reporter   ~0005942

this would negate infils too drastically it seems....

Indirik

2007-01-25 21:32

reporter   ~0005946

That really depends on how it is implemented. It could take the place of the normal "caught while traveling" system, or that one could be reduced, and then compensated by small increases for actual border guards put in place. This suggestion would allow a realm to more effectively fortify a border against illegal border crossings. The way I read this, the region lord would have to assign the guards to a particular border. For example, if Region A borders with Regions B, C, and D, then the lord would have to assign the guards to one of the borders. If they are assigned to the A-B border, then they would have no effect on the A-C and A-D borders. (Or perhaps a reduced effectiveness. Some regions border a LOT of other regions, but are not physically large!)

Infiltrators could always go around, too.

guest

2007-01-26 01:28

viewer   ~0005949

If this is added you could make an option for an infiltrator to travel careful, increasing travel time, but decreasing chance of getting caught

JR

Kagurati

2007-01-26 02:35

developer   ~0005951

Infiltrators prolly wouldn't be affected by this. I mean they are called "infiltrators" and should care enough to watch for border guards anyways. They'd have no problem getting past said guards.

danaris

2007-01-26 02:46

manager   ~0005952

My thought was that priests, who have no training in being evasive, and would tend to dress rather distinctively, would have almost no chance of avoiding the guards.

For infiltrators, though, as Kagurati says, they *are* trained to get past guards. However, that doesn't mean that they can just ignore them. I would say that beginning infiltrators should be nearly as easy to catch as a priest...but by the time the infiltrator disappears from scout reports, they should be able to avoid the guards between 1/4 and 1/2 the time. A skill of about 80% could be enough to avoid almost all the guards.

As an aside, I don't think it would be a bad idea to slightly reduce the effectiveness of patrolling the streets if this is implemented.

~ TGC

Tom

2007-03-22 11:54

administrator   ~0006915

define "hostile priest" first.

danaris

2007-03-22 14:06

manager   ~0006918

Well, I suppose one could define it a few different ways.

The simplest way would be to define it as "a priest from a realm we're at war with."

However, given the more fluid, realm-independent (at least in theory) nature of religion, I think it would be better to define it as "a priest of a religion that my religion says is evil or misguided."

And just to cover all bases, I don't think it would be a bad idea to allow *all* priests into the region if the region lord is not a member of any (organized) religion...

On a different note, to bjmontminy and Kagurati, I don't think it could affect infiltrators that drastically in most situations, for the reasons Indirik states: you'd need a LOT of militia to make a significant dent. The difference is that with this feature, you *can* make that dent, if you're willing to throw lots of men at it, whereas now, without it, there's simply *no* way to make it harder for them.

~ TGC

Tom

2007-04-17 09:44

administrator   ~0007062

I can live with "priest who is considered evil by my religion", that's a workable definition.

Maybe, someday.

danaris

2008-12-09 12:58

manager   ~0012755

Ah...no, Jeff; if Gias Kay had bothered to read the description of the feature properly, he'd see that it has absolutely *nothing* to do with the "hire guard" feature at temples.

This is meant to be something used by *region lords* against priests and infiltrators, not by priests or elders against people attacking them.

I will work on it when I have some time, as it's my feature request.

~ TGC

Chenier

2010-03-16 23:02

reporter   ~0016014

It should follow the same restrictions as nobles with police units have: only people from realms with whom you are at war should be in danger of capture, otherwise it's just a way to circumvent game mechanics.

danaris

2010-03-16 23:09

manager   ~0016015

It will be a game mechanic.

Just because it might be another restriction on the power of the priest that you love so much doesn't make it an abuse to use it.

~ TGC

Chenier

2010-03-17 17:33

reporter   ~0016022

Tom was the one to make it that you needed to be at war with a priest's realm to arrest him, and I had nothing to do with that idea. If you want to arrest another realm's nobles, whether actively or passively, then you should declare war on them.

I only play one priest right now and he's rather pacifist, so this doesn't apply to me right now, but Tom always stated that if you want your troops to act right, then set proper diplomacy. If you don't want to declare war and can't convince the other realm to act, then it's your own fault what is happening to your lands. There are many mechanics which apply this mentality, I don't see why we'd make one which ignores it.

And if this doesn't apply, then what? You'll capture allied priests and infils? Your own? Without them actually doing anything in your region other than passing through? With all the diplomatic ruckus it could create? Keep it simple, keep it to diplomatic settings. Odds are you don't want priests from realms you are at war with no matter their faith.

GoldPanda

2010-03-17 19:23

reporter   ~0016024

Actually you can arrest Priests from your own realm. :)

danaris

2010-03-17 19:27

manager   ~0016025

I like diplomatic ruckus.

~ TGC

Chenier

2010-03-18 02:11

reporter   ~0016029

Then don't allow guards to passively arrest priests, and let the priests do their work. Remember this was done because on some continents, priests would get arrested and beaten and their realms wouldn't care, and this is something Tom opposed. Let them create tensions by their work, instead of just finding a way to bypass Tom's change to revert to the way it used to be.

danaris

2010-03-18 02:24

manager   ~0016030

Nooo, this was done because priests can hop back and forth between regions, preaching and getting away before anyone can possibly arrest them.

~ TGC

Chenier

2010-03-20 18:08

reporter   ~0016036

What's the problem anyways? "Region-hopping" consumes a lot of hours, leaves very few for any kind of preaching or other work. And if the person wants to do anything nasty, they already have a chance of getting caught by local militia.

Otherwise, add a delay between when a priest can travel and click on travel again. To have NPCs do all our work is just a bad idea.

Tom

2011-12-27 14:22

administrator   ~0018439

suspending this for the moment. A feature that's been under discussion for FOUR YEARS is not exactly something we need right now.

If it is really important, it will come up again.

Issue History

Date Modified Username Field Change
2007-01-24 21:52 danaris New Issue
2007-01-24 21:52 danaris Game World => N/A or All
2007-01-25 16:03 aj Relationship added related to 0002377
2007-01-25 16:04 aj Relationship added related to 0002375
2007-01-25 16:33 bjmontminy Note Added: 0005942
2007-01-25 21:32 Indirik Note Added: 0005946
2007-01-26 01:28 guest Note Added: 0005949
2007-01-26 02:35 Kagurati Note Added: 0005951
2007-01-26 02:46 danaris Note Added: 0005952
2007-03-22 11:54 Tom Note Added: 0006915
2007-03-22 11:54 Tom Status new => feedback
2007-03-22 14:06 danaris Note Added: 0006918
2007-04-17 09:44 Tom Note Added: 0007062
2007-04-17 09:44 Tom Status feedback => acknowledged
2008-12-09 12:44 jmadsen Status acknowledged => assigned
2008-12-09 12:44 jmadsen Assigned To => Tom
2008-12-09 12:44 jmadsen Status assigned => feedback
2008-12-09 12:58 danaris Note Added: 0012755
2008-12-09 12:58 danaris Assigned To Tom => danaris
2008-12-09 12:58 danaris Status feedback => assigned
2010-03-16 23:02 Chenier Note Added: 0016014
2010-03-16 23:09 danaris Note Added: 0016015
2010-03-17 17:33 Chenier Note Added: 0016022
2010-03-17 19:23 GoldPanda Note Added: 0016024
2010-03-17 19:27 danaris Note Added: 0016025
2010-03-18 02:11 Chenier Note Added: 0016029
2010-03-18 02:24 danaris Note Added: 0016030
2010-03-20 18:08 Chenier Note Added: 0016036
2011-05-20 04:12 Bedwyr Tag Attached: Needs Discussion
2011-05-20 04:12 Bedwyr Tag Attached: Requires Overhaul
2011-12-27 14:22 Tom Note Added: 0018439
2011-12-27 14:22 Tom Status assigned => resolved
2011-12-27 14:22 Tom Resolution open => suspended
2012-01-04 11:38 Tom Status resolved => closed